﻿using System.Collections.Generic;
using System.Threading.Tasks;
using Squirrowse.Core.Models;

namespace Squirrowse.Service.Hubs
{
    public interface IStreamHub
    {
        Task AddClient();
        Task UploadByteStream(IAsyncEnumerable<byte[]> stream);
        Task Startstream(string userId);
        Task StopStream(string userId);
        Task ExecCommandOnAll(string command, object[] act); //gni 
        Task AddToGroup(Groups group, string user = "");
        Task RemoveFromGroup(Groups group, string user = "");
    }
}